/**
 * Copyright 2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 */
package com.sunlabs.archsim.fleet.parser.program;

import java.io.FileInputStream;
import java.io.FileNotFoundException;

import com.sunlabs.archsim.fleet.parser.program.ParseException;

/**
 * A facade for automatically generated parser for fleet programs.
 * This class exists for safety and convenience - 
 * instead of handling exceptions in
 * the .jj input file for JavaCC, we do it here and get the benefits of
 * IDE and the benefits of an explicitly defined interface.
 * 
 * @author ib27688
 *
 */
public class ProgramParser {
	
	public ProgramParser() {
		
	}
	
	public void parse(String fileName)
	throws FileNotFoundException, ParseException {
		FileInputStream inStream= null;

		// FileNotFound exception thrown if a file does not exist
		inStream= new FileInputStream(fileName);
		
		// we have a file reader, now make a parser and get a table
		PParser parser= new PParser(inStream);
		// Now do the parsing
		// ParseException thrown if there is an error
		parser.start();	
		
	} // parse

} // class ProgramParser
